<STYLE type="text/css">
    .NBm {
        background:#222;
        z-index: 200;
        color:#fff;
        width:400px;
        border:1px solid #fff;
        position:absolute;
        font-size:12px;
    }
    .NBm p {
        font-size:12px;
        color:#fff;
        text-align: left;
        text-indent: 0.5em;
    }
    #LogOutForm {
        position:relative;
    }
    #zak  {
        margin-right: 5px;
        margin-top: 5px;
        float: right;
        background-image:url(/images/zakr.png);
        background-repeat:no-repeat;
        width:14px;
        height:14px;
    }
</STYLE>
<script type="text/javascript">
    function floatval(val) {
        val = val.replace(/,/,'.');
        return parseFloat(val);
    };
    $.materialEdit = {
        categories:{},
        selectType:function (obj) {
            var id = $(obj).val();
            if(this.categories.hasOwnProperty(id)) {
                var category = this.categories[id];
                if(category.group_id=='2') {
                    $('#sizes_price').show();
                }  else {
                    $('#sizes_price').hide();
                }
            }
        },
        recalculateSizePrice: function (obj) {
            var material_price = floatval($('.material-price').val());
            var size = $(obj).closest('.material-size');
            var val = floatval($(obj).val());
            if(!isNaN(val) && !isNaN(material_price)) {
                if($(obj).hasClass('material-size-coefficient')) {
                   var total = material_price*val;
                   size.find('.material-size-price').val(total.toFixed(5));
                } else if($(obj).hasClass('material-size-price')) {
                    var total = val/material_price;
                    size.find('.material-size-coefficient').val(total.toFixed(5));
                }
            } else {
                size.find('.material-size-price').val('');
                size.find('.material-size-coefficient').val('');
            }
        },
        recalculatePrices: function (obj) {
            var price = floatval($(obj).val());
            if(!isNaN(price)) {
                $('.material-size').each(function () {
                   var koef =  floatval($(this).find('.material-size-coefficient').val());
                   var size_price =  floatval($(this).find('.material-size-price').val());
                    if(!isNaN(koef)) {
                        $.materialEdit.recalculateSizePrice($(this).find('.material-size-coefficient'));
                    } else if(!isNaN(size_price)){
                        $.materialEdit.recalculateSizePrice($(this).find('.material-size-price'));
                    } else {
                       $(this).find('.material-size-price').val('');
                        $(this).find('.material-size-coefficient').val('');
                    }
                });
            }
        }
    };
   $(document).ready(function () {
       $('.material-save').submit(function () {
           var form = $(this);
           var success = function(response) {
               if (response.status == 'ok') {
                   var data = response.data;
                   if(data.id) {
                       window.location.href = '?plugin=compositematerials&module=material&action=edit&id='+data.id;
                   }
               } else {
                   alert(response.errors.join(','));
               }
           };
           $.ajax({
               url: form.attr('action'),
               data: form.serialize(),
               type: 'post',
               dataType: 'json',
               success: success
           });
           return false;
       });
       $('.material-size-clear').click(function () {
           var size = $(this).closest('.material-size');
           size.find('.material-size-coefficient').val('');
           size.find('.material-size-price').val('');
           return false;
       });
       $('.material-size-coefficient').blur(function () {
           $.materialEdit.recalculateSizePrice($(this));
       });
       $('.material-size-price').blur(function () {
           $.materialEdit.recalculateSizePrice($(this));
       });
       $('.material-category').change(function () {
           $.materialEdit.selectType($(this));
       });
       $('.material-price').blur(function () {
           $.materialEdit.recalculatePrices($(this));
       });
       $('[name="type"]').change(function () {
          if($(this).val()=='delimiter') {
              $('.submaterials').hide();
          } else {
              $('.submaterials').show();
          }
       });
       $.materialEdit.categories = {json_encode($Pricing->getMaterialsCategories())};
   });

</script>
<script type="text/javascript">
    {literal}
    function checkbox(name) {
        $('#form input[type="checkbox"]').each(function() {
            if(this===name) {
                var trt =this.name.replace(/m/,'k');
                if(this.checked) {
                    var oo = document.getElementById(trt);
                    oo.type = "text";
                    document.getElementById(this.name).value = "1";
                    oo.value = "1";
                } else {
                    var oo = document.getElementById(trt);
                    $(this).attr('type', 'hidden');
                    //oo.type = "hidden" ;
                }
            }
        });
    }
    function pricepp(idP) {
        var kol = document.getElementById(idP);
        var kol_v = document.getElementById(idP).value;
        var trt1 =idP.replace(/k/,'m');
        var check11 = document.getElementById(trt1);
        var kv = kol.value;
        if(kol_v!== '') {
            var k = parseFloat(kv);
            check11.value = k;
        } else {
            kol.type = "hidden";
            kol.value = "";
            check11.value = "";
            check11.checked = false;
            alert('Вы не ввели количество материала\n материал убран!');
        }
    }
    function tooltipshow(id,blockID) {
        $("#"+id).bind("click",function(e){
            var offset = $(this).offset();
            var x = e.pageX - offset.left + 10;
            var y = e.pageY - offset.top + 10;
            var elementName = document.getElementById(blockID);
            elementName.style.display='block';
            elementName.style.left = x + 'px';
            elementName.style.top = y + 'px';
        });
    }
    function tooltiphide(blockID) {
        var elementName = document.getElementById(blockID);
        elementName.style.display='none';
    }
    $.manufactoryProduct = {
        custom_features : {},
        addCustomOffer: function (obj) {
            var link = $(obj);
            var rand = function() {
                return Math.random().toString(36).substr(2); // remove `0.`
            };
            var token = function() {
                return rand() + rand(); // to make it longer
            };
            var md5 = token();
            var html = '<div class="field-group product-custom-offer"><a href="#" class="product-delete-custom-offer inline">'+md5+' <i class="icon16 delete"></i></a>';
            for(var id in this.custom_features) {
                html +=  '<div class="field" data-type="custom">' +
                        '<div class="name">' +
                        this.custom_features[id]["name"] +
                        ' </div>' +
                        '<div class="value">' +
                        ' <input type="text" class="product-custom-offer-feature-value"  name="custom_features['+md5+']['+id+'][value]">';
                html +=   '<select name="custom_features['+md5+']['+id+'][unit]" class="product-custom-offer-feature-value-unit">';
                var units = this.custom_features[id]['units'];

                for(var uk in units) {
                    var unit = units[uk];
                    html += '<option value="'+uk+'" '+(uk==this.custom_features[id]["base_unit"]?" selected":"")+'>'+unit["name"]+'</option>';
                }
                html +=   '</select></div>';
            }

            html += '</div>';
            link.before(html);
        },
        deleteCustomOffer: function(obj) {
            var offer = $(obj).closest('.product-custom-offer');
            offer.detach();
        },

    };
    {/literal}
    {foreach $features as $sk => $sv}
    $.manufactoryProduct.custom_features[{$sk}] = {};
    $.manufactoryProduct.custom_features[{$sk}]['name'] = '{$sv->getName()}';
    $.manufactoryProduct.custom_features[{$sk}]['units'] = {json_encode($sv->getUnits())};
    $.manufactoryProduct.custom_features[{$sk}]['base_unit'] = '{$sv->getBaseUnit()}';
    {/foreach}

    $(document).ready(function () {

        $(document).off('click','.product-add-custom-offer').on('click','.product-add-custom-offer', function () {
            $.manufactoryProduct.addCustomOffer($(this));
            return false;
        });
        $(document).off('click','.product-feature-1 input').on('click','.product-feature-1 input', function () {

            if($(this).prop('checked')) {
                $('.product-feature-2').find('input').prop('checked', true);
            }
        });
        $(document).off('click','.product-delete-custom-offer').on('click','.product-delete-custom-offer', function () {
            $.manufactoryProduct.deleteCustomOffer($(this));
            return false;
        });
        $(document).off('click','.product-offer-delete').on('click','.product-offer-delete', function () {
            $.manufactoryProduct.deleteOffer($(this));
            return false;
        });

        $('.material-quantity').change(function () {
            $(this).closest('tr').find('.material-input').val($(this).val());
        });
        $('.material-input').change(function () {
            if($(this).prop('checked')) {
                $(this).val(1);
                $(this).closest('tr').find('.material-quantity').val(1).show();
            } else {
                $(this).closest('tr').find('.material-quantity').val(1).hide();
            }

        });
        $('input[name=select_all]').click(function () {
            if($(this).prop('checked')) {
                var checked = true;
            } else {
                var checked = false;
            }
            $(this).closest('div').find('input[type=checkbox]').each(function () {
                $(this).attr('checked',checked);
            });
        });


    });

</script>
<STYLE type="text/css">
    label:hover {
        color: #c00;
    }
    .NBm {
        background:#222; z-index: 200; color:#fff; width:400px; border:1px solid #fff; position:absolute; font-size:12px; text-align: left;
    }
    .NBm p {
        font-size:12px;color:#fff;text-align: left;text-indent: 0.5em;
    }
    #LogOutForm {
        position:relative;
    }
    #zak  {
        margin-right: 5px;margin-top: 5px; float: right; background-image:url(/images/zakr.png); background-repeat:no-repeat; width:14px; height:14px;
    }
    .delimiter td {
        background-color: #e4e4e4 !important;
        color: #aaa;
    }
    .delimiter td a {
        color: #aaa;
    }
    .delimiter td a:hover {
        color: #222;
    }
    .category-materials-name {
        background-color: #b0e3f6;
        padding: 10px;
    }
</STYLE>
<h2>Редактирование материлала</h2>
<form action="?plugin=compositematerials&module=material&action=save" class="material-save" method="post">

    {if $material}
    <input type="hidden" name="id" value="{$material->getId()}">
    {/if}
    <table cellpadding="4" cellspacing="1" border="0" class="form light material-save" style="margin-left: 20px; width: 700px;">
        <tr>
            <td>Категория материала:</td>
            <td>
                <select name="category_id" id="category_id" aria-required="true" class="material-category">';
                    {foreach $categories as $k => $v}
                   <option value="{$k}"
                           {if $material && $k == $material['category_id']} selected="selected"{elseif $category==$k} selected="selected" {/if}>
                    {$v->getName()}
                    </option>
                    {/foreach}
                   </select>
            </td>
        </tr>
        <tr>

            <td>Название материала:</td>
            <td><input style="width:400px" type="text" name="name" value="{if $material}{$material->getName()}{/if}" maxlength="255"></td>
        </tr>
        <tr>
            <td>Тип материала:</td>
            <td><select name="type">
                <option value="" {if $material && $material->getSubType()==''} selected {/if}>Материал</option>
                <option value="delimiter" {if $material && $material->getSubType()=='delimiter'} selected {/if}>Раделитель материалов</option>
            </select>
            </td>
        </tr>
        <tr>
        <td colspan="2" class="submaterials" {if $material && $material->getSubType()=='delimiter'} style="display:none;" {/if}>
            {foreach $Pricing->getMaterialsCategories() as $k => $v}
            {$materials = $Pricing->getCategoryMaterials($k)}
            {if !empty($materials)}
            <div class="category-materials-name">
                <h2>{$v['name']}</h2>
            </div>

            <table border="0" cellspacing="5" rules="all" class="light light-mini" style="width: 650px;">
                <tr>
                    <th scope="col" width="65%">Материал</th>
                    <th scope="col">Основная цена</th>
                    <th scope="col">Количество</th>
                </tr>

                {$product_materials=[]}
                {if $material}
                {$product_materials = $material->getCosts()}
                {/if}
                {foreach $materials as $km => $vm}
                {if $vm->isActive() || ($material && isset($product_materials[$km]))}
                <tr {if $vm->getSubType()=='delimiter'}class="delimiter"{/if}>
                    <td height="30px">
                        {if $vm->getSubType()=='delimiter'}
                        {$vm['name']}
                        {else}
                        <label>
                            <input name="materials_id[{$km}]" id="material-{$km}" class="material-input" type="checkbox"
                                   value="{if $material && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                                   {if $material && isset($product_materials[$km])} checked {/if}>
                            {$vm['name']}
                        </label>
                        {/if}
                    </td>
                    <td> {if $vm->getSubType()=='delimiter'}{else}{$vm['price']} руб.{/if}</td>
                    <td>
                        {if $vm->getSubType()=='delimiter'}{else}
                        <input type="number" class="material-quantity"
                               value="{if $material && isset($product_materials[$km])}{$product_materials[$km]->getQuantity()}{/if}"
                               style=" width: 50px; line-height:12px;   {if $material && isset($product_materials[$km])}{else} display:none;{/if}">
                        {/if}
                    </td>
                </tr>
                {/if}
                {/foreach}
            </table>
            {/if}
            {/foreach}
        </td>
        </tr>
        <tr>
            <td></td>
            <td><input type="submit" value="Сохранить" class="button green"></td>
        </tr>
    </table></form>
<script>

</script>